=== debian/changelog ===
luajit (2.0.0~beta8+dfsg-1) unstable; urgency=low

  * New upstream release with arm JIT support

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 24 Jun 2011 13:48:45 +0200

luajit (2.0.0~beta7+dfsg-1) unstable; urgency=low

  * New upstream release with arm support

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 09 May 2011 23:14:21 +0200
