=== debian/rules ===
#!/usr/bin/make -f
ABIM=2
ABIN=0
ABIO=0
ABI=$(ABIM).$(ABIN).$(ABIO)

%:
	dh --with quilt $@

override_dh_auto_build:
	make amalg PREFIX=/usr CC=gcc

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_install:
	make install PREFIX=/usr DESTDIR=$$PWD/debian/tmp/
	cd debian/tmp/usr/lib &&  \
		ln -fs libluajit-5.1.so.$(ABI) libluajit-5.1.so &&  \
		ln -fs libluajit-5.1.so.$(ABI) libluajit-5.1.so.$(ABIM)
