=== debian/changelog ===
luajit (2.0.0~beta9+dfsg-2) unstable; urgency=low

  * Added patch beta9_hotfix1
  * Update copyright file to adhere to DEP5 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 04 Feb 2012 13:52:02 +0100

luajit (2.0.0~beta9+dfsg-1) unstable; urgency=low

  * New upstream release with powerpc support
  * Refreshed quilt patches
  * Removed beta8_hotfix1 patch, no more needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 19 Dec 2011 17:20:40 +0100

luajit (2.0.0~beta8+dfsg-4) unstable; urgency=low

  * added -dev package to armel (Closes: #630814)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 19:34:32 +0200

luajit (2.0.0~beta8+dfsg-3) unstable; urgency=low

  * Bumped standards-version to 3.9.2, no changes
  * Multi-Arch support

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 11:13:50 +0200

luajit (2.0.0~beta8+dfsg-2) unstable; urgency=low

  * Added upstream patch: beta8_hotfix1

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 06 Jul 2011 09:23:02 +0200
