=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), lua5.1, quilt (>= 0.46-7~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/luajit
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/luajit
 Homepage: http://luajit.org
 
 Package: luajit
-Architecture: i386 amd64 kfreebsd-i386 armel
+Architecture: i386 amd64 kfreebsd-i386 armel powerpc
+Multi-Arch: foreign
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}, libluajit-5.1-common (= ${source:Version})
 Description: Just in time compiler for Lua programming language version 5.1
  LuaJIT implements the full set of language features defined by Lua 5.1. The
@@ -27,7 +29,9 @@
  by its embeddable (i.e. library) version.
 
 Package: libluajit-5.1-2
-Architecture: i386 amd64 kfreebsd-i386 armel
+Architecture: i386 amd64 kfreebsd-i386 armel powerpc
+Multi-Arch: same
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}, libluajit-5.1-common (= ${source:Version})
 Description: Just in time compiler for Lua - library version
  LuaJIT implements the full set of language features defined by Lua 5.1. The
@@ -39,7 +43,9 @@
 
 Package: libluajit-5.1-dev
 Section: libdevel
-Architecture: i386 amd64 kfreebsd-i386
+Multi-Arch: same
+Pre-Depends: multiarch-support
+Architecture: i386 amd64 kfreebsd-i386 armel powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}, libluajit-5.1-2 (= ${binary:Version})
 Description: Just in time compiler for Lua - development files
  This package contains header files and a statically linkable library for
