## luajit 2.0.0+dfsg

=== debian/changelog ===
luajit (2.0.0+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 03 Nov 2012 14:07:56 +0100

luajit (2.0.0~rc1+dfsg-1) experimental; urgency=low

  * New upstream release adding support for mips, mipsel, powerpcspe and armhf
    (Closes: #634244)
  * libluajit-5.1-common made Multi-Arch: foreign (Closes: #691657)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 08 Apr 2012 22:55:02 +0200
