=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Homepage: http://luajit.org
 
 Package: luajit
-Architecture: i386 amd64 kfreebsd-i386 armel powerpc
+Architecture: i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel
 Multi-Arch: foreign
 Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}, libluajit-5.1-common (= ${source:Version})
@@ -23,13 +23,14 @@
 
 Package: libluajit-5.1-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Just in time compiler for Lua - common files
  This package contains files needed by the LuaJIT interpreter/jitter as well
  by its embeddable (i.e. library) version.
 
 Package: libluajit-5.1-2
-Architecture: i386 amd64 kfreebsd-i386 armel powerpc
+Architecture: i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel
 Multi-Arch: same
 Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}, libluajit-5.1-common (= ${source:Version})
@@ -45,7 +46,7 @@
 Section: libdevel
 Multi-Arch: same
 Pre-Depends: multiarch-support
-Architecture: i386 amd64 kfreebsd-i386 armel powerpc
+Architecture: i386 amd64 kfreebsd-i386 armel armhf powerpc mips mipsel
 Depends: ${shlibs:Depends}, ${misc:Depends}, libluajit-5.1-2 (= ${binary:Version})
 Description: Just in time compiler for Lua - development files
  This package contains header files and a statically linkable library for
