## luajit 2.0.3+dfsg

=== debian/changelog ===
luajit (2.0.3+dfsg-3) unstable; urgency=medium

  * Fix FTBFS when /sbin is not in $PATH (Closes: 744917) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 25 Apr 2014 21:37:45 +0200

luajit (2.0.3+dfsg-2) unstable; urgency=medium

  * Fix multilib value in .pc file (Closes: #743762)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 08 Apr 2014 19:57:50 +0200

luajit (2.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release 
  * All patches disabled: integrated in the upstream makefile 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 13 Mar 2014 09:28:41 +0100

luajit (2.0.2+dfsg-3) unstable; urgency=medium

  * Add powerpcspe architecture for the -dev package (Closes: #734700)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 12 Feb 2014 11:10:29 +0100

luajit (2.0.2+dfsg-2) unstable; urgency=low

  * Fix .pc to spit -L/usr/lib/$DEB_HOST_MULTIARCH 
  * Fix .pc to spit multiarch aware INSTALL_CMOD 
  * Add /usr/lib/$DEB_HOST_MULTIARCH/lua/jit/ to the paths luajit will look
    at to find .lua files.  Meant to be used for luajit specific files. 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 18 Sep 2013 00:06:13 +0200
